Package ru.bitel.bgbilling.modules.card.server.bean

# Class Card

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.Card

public class Card extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CARD_ACTIVATE_BALANCE`
  `static final int`
  `CARD_ACTIVATE_CONTRACT`
  `static final int`
  `CARD_ACTIVE`
  `static final int`
  `CARD_LOCK`
  `static final int`
  `TYPE_CURRENT_DB`
  `static final int`
  `TYPE_SUPER_DB`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Card()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkPeriod(Date value)`
  `boolean`
  `checkPinCode(String value)`
  `long`
  `getCardCode()`
  `String`
  `getCardPinCode()`
  `int`
  `getContractId()`
  `String`
  `getContractName(Calendar time)`
  `Date`
  `getDateActivate()`
  `Date`
  `getDateBegin()`
  `Date`
  `getDateEnd()`
  `Date`
  `getDealerDate()`
  `int`
  `getDealerId()`
  `long`
  `getId()`
  `int`
  `getModuleId()`
  `int`
  `getPatternId()`
  `int`
  `getPaymentType()`
  `int`
  `getSeriesId()`
  `int`
  `getServiceActivateId()`
  `int`
  `getServicePayId()`
  `int`
  `getStatus()`
  `float`
  `getSumma()`
  `int`
  `getType()`
  `Card`
  `setCardCode(long value)`
  `Card`
  `setCardPinCode(String value)`
  `Card`
  `setContractId(int value)`
  `Card`
  `setDateActivate(Date value)`
  `Card`
  `setDateBegin(Date value)`
  `Card`
  `setDateEnd(Date value)`
  `Card`
  `setDealerDate(Date dealerDate)`
  `Card`
  `setDealerId(int dealerId)`
  `Card`
  `setId(long value)`
  `Card`
  `setModuleId(int moduleId)`
  `Card`
  `setPatternId(int value)`
  `Card`
  `setPaymentType(int value)`
  `Card`
  `setSeriesId(int seriesId)`
  `Card`
  `setServiceActivateId(int serviceActivateId)`
  `Card`
  `setServicePayId(int servicePayId)`
  `Card`
  `setStatus(int value)`
  `Card`
  `setSumma(float value)`
  `Card`
  `setType(int type)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CARD_LOCK

    public static final int CARD_LOCK
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVE

    public static final int CARD_ACTIVE
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVATE_CONTRACT

    public static final int CARD_ACTIVATE_CONTRACT
    See Also:
      - Constant Field Values

  - ### CARD_ACTIVATE_BALANCE

    public static final int CARD_ACTIVATE_BALANCE
    See Also:
      - Constant Field Values

  - ### TYPE_CURRENT_DB

    public static final int TYPE_CURRENT_DB
    See Also:
      - Constant Field Values

  - ### TYPE_SUPER_DB

    public static final int TYPE_SUPER_DB
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Card

    public Card()

- ## Method Details

  - ### getCardPinCode

    public String getCardPinCode()

  - ### checkPinCode

    public boolean checkPinCode(String value)

  - ### setId

    public Card setId(long value)

  - ### getId

    public long getId()

  - ### setCardCode

    public Card setCardCode(long value)

  - ### getCardCode

    public long getCardCode()

  - ### setCardPinCode

    public Card setCardPinCode(String value)

  - ### setSumma

    public Card setSumma(float value)

  - ### getSumma

    public float getSumma()

  - ### setDateBegin

    public Card setDateBegin(Date value)

  - ### getDateBegin

    public Date getDateBegin()

  - ### setDateEnd

    public Card setDateEnd(Date value)

  - ### getDateEnd

    public Date getDateEnd()

  - ### setStatus

    public Card setStatus(int value)

  - ### getStatus

    public int getStatus()

  - ### setServicePayId

    public Card setServicePayId(int servicePayId)

  - ### getServicePayId

    public int getServicePayId()

  - ### setContractId

    public Card setContractId(int value)

  - ### getContractId

    public int getContractId()

  - ### setDateActivate

    public Card setDateActivate(Date value)

  - ### getDateActivate

    public Date getDateActivate()

  - ### checkPeriod

    public boolean checkPeriod(Date value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPatternId

    public int getPatternId()

  - ### setPatternId

    public Card setPatternId(int value)

  - ### setPaymentType

    public Card setPaymentType(int value)

  - ### getPaymentType

    public int getPaymentType()

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public Card setModuleId(int moduleId)

  - ### getServiceActivateId

    public int getServiceActivateId()

  - ### setServiceActivateId

    public Card setServiceActivateId(int serviceActivateId)

  - ### getContractName

    public String getContractName(Calendar time)

  - ### getDealerId

    public int getDealerId()

  - ### setDealerId

    public Card setDealerId(int dealerId)

  - ### getType

    public int getType()

  - ### setType

    public Card setType(int type)

  - ### getDealerDate

    public Date getDealerDate()

  - ### setDealerDate

    public Card setDealerDate(Date dealerDate)

  - ### getSeriesId

    public int getSeriesId()

  - ### setSeriesId

    public Card setSeriesId(int seriesId)